Create tax code value
Creates a new value for the given tax code. Returns 403 when the organization does not exist or the authenticated user is not an administrator of it. Returns 404 when the tax code does not exist, has already been deleted, or has no value list configured yet. Returns 409 when a value with the same id already exists for this tax code.
curl --request POST \
--url https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/taxcodes/{taxCodeId}/values \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "VAT25",
"value": "25%",
"sortOrder": 0
}
'import requests
url = "https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/taxcodes/{taxCodeId}/values"
payload = {
"id": "VAT25",
"value": "25%",
"sortOrder": 0
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({id: 'VAT25', value: '25%', sortOrder: 0})
};
fetch('https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/taxcodes/{taxCodeId}/values', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/taxcodes/{taxCodeId}/values",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'id' => 'VAT25',
'value' => '25%',
'sortOrder' => 0
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/taxcodes/{taxCodeId}/values"
payload := strings.NewReader("{\n \"id\": \"VAT25\",\n \"value\": \"25%\",\n \"sortOrder\": 0\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/taxcodes/{taxCodeId}/values")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"id\": \"VAT25\",\n \"value\": \"25%\",\n \"sortOrder\": 0\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/taxcodes/{taxCodeId}/values")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"id\": \"VAT25\",\n \"value\": \"25%\",\n \"sortOrder\": 0\n}"
response = http.request(request)
puts response.read_bodyAuthorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
String. The organization's internal ID (32-character hex string) or its externalSourceId. When the value matches the format of an internal ID, the internal ID takes precedence.
"11adfe2a080040e3892ffb89c21ec44e"
String. The ID of the tax code to add a value to (32-character hex string), as returned in the id field of the list or GET response.
"63b7a7802a644e8ca296c9796ffa7074"
Body
Caller-supplied identifier for this value. Must be unique within the tax code.
255Display text of the tax code value. Must be non-empty and not whitespace-only.
255Sort position of the value within the list.
Date from which this value is active. ISO 8601 format.
Date until which this value is active. ISO 8601 format.
Response
Created — returns the newly created tax code value
Unique identifier of the tax code value.
Display text of the tax code value.
Sort position of the value within the list. Null when not set.
Date from which this value is active. Null when not set.
Date until which this value is active. Null when not set.
curl --request POST \
--url https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/taxcodes/{taxCodeId}/values \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "VAT25",
"value": "25%",
"sortOrder": 0
}
'import requests
url = "https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/taxcodes/{taxCodeId}/values"
payload = {
"id": "VAT25",
"value": "25%",
"sortOrder": 0
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({id: 'VAT25', value: '25%', sortOrder: 0})
};
fetch('https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/taxcodes/{taxCodeId}/values', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/taxcodes/{taxCodeId}/values",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'id' => 'VAT25',
'value' => '25%',
'sortOrder' => 0
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/taxcodes/{taxCodeId}/values"
payload := strings.NewReader("{\n \"id\": \"VAT25\",\n \"value\": \"25%\",\n \"sortOrder\": 0\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/taxcodes/{taxCodeId}/values")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"id\": \"VAT25\",\n \"value\": \"25%\",\n \"sortOrder\": 0\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/taxcodes/{taxCodeId}/values")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"id\": \"VAT25\",\n \"value\": \"25%\",\n \"sortOrder\": 0\n}"
response = http.request(request)
puts response.read_body
